Opened 6 years ago

Closed 6 years ago

Last modified 3 years ago

#1367 closed Task (fixed)

NOCS development branch for sub-timestepping of vertical advection

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.6
Severity: Keywords:
Cc: Review:
MP ready?:
Progress:

Description

Tests using ORCA1 and ORCA025 configurations with high vertical resolution (O(1m) top boxes) can suffer from numerical stability issues associated with vertical advection. This is especially true when boxes are thinned further by options such as fully embedded sea-ice. This branch introduces a sub-timestepping scheme for vertical advection which should allow baroclinic timesteps to be maintained at traditional values even with such options activated. The scheme applies only to the vector form for momentum (ln_dynadv_vec=.true.) and has been implemented as a variant of the TVD scheme for tracer advection.

Further details will be found on: wiki:ticket/1367_NOC2_ZTS

Commit History (6)

ChangesetAuthorTimeChangeLog
4899acc2014-11-27T16:21:44+01:00

Branch 2014/dev_r4743_NOC2_ZTS. Merged in trunk changes from r4743 to r4879 in preparation for the annual merge. See ticket #1367 and https://forge.ipsl.jussieu.fr/nemo/wiki/ticket/1367_NOC2_ZTS

4876acc2014-11-19T17:52:26+01:00

Branch 2014/dev_r4743_NOC2_ZTS. Added option to create directories for receiving files associated with unsupported (external) configurations. This circumvents a limitation in the use of wget to retrieve remote file hierarchies. See ticket #1367.

4838acc2014-11-07T16:15:20+01:00

Branch 2014/dev_r4743_NOC2_ZTS. Correct a few typos in the comments and add facility for basic comments in the remote file list for unsupported (external) configurations. See ticket #1367

4837acc2014-11-07T12:42:21+01:00

Branch 2014/dev_r4743_NOC2_ZTS. Added makenemo changes and associated COMPILE scripts to provide options for unsupported (external) configurations. This is not yet widely tested but should not interfer with existing options. See ticket #1367.

4736acc2014-08-05T12:24:00+02:00

Branch 2014/dev_r4743_NOC2_ZTS, #1367. Code changes to introduce optional sub-timestepping for vertical advection. Changes in dynadv.F90, dynzad.F90, traadv.F90, traadv_tvd.F90 and namelist_ref only.

4735acc2014-08-05T11:34:28+02:00

Create branch for NOCS development of a sub-timestepping scheme for vertical advection to ease numerical stability issues when vertical metrics become small. See ticket #1367

Change History (2)

comment:1 Changed 6 years ago by acc

  • Resolution set to fixed
  • Status changed from new to closed

Merged into dev_MERGE_2014 branch @ revision 4946 (via dev_r4879_UKMO_NOC_MERGE)

comment:2 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.